Un-Subscribe

Backend-only API-key call. This disables web-hook delivery for the application, clears the callback URL, and disables the stored signing secret. After this call succeeds, Aarthik Labs stops sending web-hooks for this tenant/application until Subscribe is called again.

Authentication

AuthorizationBearer

Send Authorization: Bearer <PLATFORM_API_KEY> from a trusted back-end.

Path parameters

tenantIDstringRequiredformat: "uuid"
Tenant ID associated with the API key.
applicationIDstringRequiredformat: "uuid"
Application ID associated with the API key.

Response

Web-hook subscription disabled for the application.

tenant_idstringformat: "uuid"
application_idstringformat: "uuid"
webhook_enabledboolean
webhook_urlstring or nullformat: "uri"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error